Bug 229640 - The CSS Font Loading API shouldn't be able to delete a CSS-connected font
Summary: The CSS Font Loading API shouldn't be able to delete a CSS-connected font
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks: 229850
  Show dependency treegraph
 
Reported: 2021-08-27 22:57 PDT by Myles C. Maxfield
Modified: 2021-09-02 20:53 PDT (History)
9 users (show)

See Also:


Attachments
Patch (3.90 KB, patch)
2021-08-27 23:01 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (4.96 KB, patch)
2021-08-28 15:27 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (4.46 KB, patch)
2021-09-01 02:54 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2021-08-27 22:57:50 PDT
The CSS Font Loading API can't delete a CSS-connected font
Comment 1 Myles C. Maxfield 2021-08-27 23:01:26 PDT
Created attachment 436706 [details]
Patch
Comment 2 Sam Weinig 2021-08-28 11:20:00 PDT
Comment on attachment 436706 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=436706&action=review

> LayoutTests/ChangeLog:9
> +        * fast/text/FontFaceSet-delete-css-connected-expected.html: Added.
> +        * fast/text/FontFaceSet-delete-css-connected.html: Added.

Seems a little odd to use a ref test for something that uses shouldBe(). Usually we do dumpAsText() I think. What's the motivation here?

> LayoutTests/fast/text/FontFaceSet-delete-css-connected-expected.html:11
> +self.enablePixelTesting = true;

What's this line do?
Comment 3 Myles C. Maxfield 2021-08-28 11:25:48 PDT
Comment on attachment 436706 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=436706&action=review

>> LayoutTests/fast/text/FontFaceSet-delete-css-connected-expected.html:11
>> +self.enablePixelTesting = true;
> 
> What's this line do?

It stops js-test.js from calling dumpAsText().

The motivation is I want to test both the JS checks, and the fact that the text is rendered with Ahem after the JS executes.
Comment 4 Myles C. Maxfield 2021-08-28 11:37:28 PDT
Comment on attachment 436706 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=436706&action=review

>>> LayoutTests/fast/text/FontFaceSet-delete-css-connected-expected.html:11
>>> +self.enablePixelTesting = true;
>> 
>> What's this line do?
> 
> It stops js-test.js from calling dumpAsText().
> 
> The motivation is I want to test both the JS checks, and the fact that the text is rendered with Ahem after the JS executes.

I guess I can split this into 2 tests.
Comment 5 Myles C. Maxfield 2021-08-28 15:27:41 PDT
Created attachment 436724 [details]
Patch
Comment 6 Myles C. Maxfield 2021-09-01 02:54:16 PDT
Created attachment 437007 [details]
Patch
Comment 7 EWS 2021-09-02 20:14:58 PDT
Committed r281975 (241282@main): <https://commits.webkit.org/241282@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437007 [details].
Comment 8 Radar WebKit Bug Importer 2021-09-02 20:15:27 PDT
<rdar://problem/82706378>